<?php

namespace Drp\EventPalAdmin\Http\Controllers\Forms\QnA;

use Drp\EventPalAdmin\Http\Models\Form;
use Inertia\Inertia;
use Inertia\Response;

class ModerateController
{
    public function __invoke(Form $form): Response
    {
        $records = $form->getModel()->where('status', 'waiting')->with('registration')->get();

        return Inertia::render('Forms/Manage/qna/Moderate', compact('form', 'records'));
    }
}
