<?php

namespace Drp\EventPalAdmin\Http\Controllers\Forms\QnA;

use Drp\EventPalAdmin\Http\Models\Form;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;

class StatusController
{
    public function __invoke(Request $request, Form $form, int $record): RedirectResponse
    {
        $record = $form->getModel()->find($record);

        $record->update([
            'status' => $request->status,
        ]);

        Session::flash('success', 'Status Updated');

        return Redirect::back()->with('form', $form);
    }
}
